NVME-MICRON-SELECT(1)

NAME
nvme-micron-selective-download - Performs selective firmware download that allows user to select which firmware binary to update for 9200 devices. This requires power cycle once the update completes.

SYNOPSIS

nvme micron selective-download <device> [--fw=<FILE>, -f <FILE>] [--select=<flag>, -s <flag>]

DESCRIPTION

This command uses micron vendor specific nvme commands to download given firmware image to the specified 9200 device to update selected or all portions of firmware image.

The <device> parameter is mandatory and may be either the NVMe character device (ex: /dev/nvme0), or a namespace block device (ex: /dev/nvme0n1).

This will only work on Micron devices devices of model number 9200. Support for new devices may be added subsequently. Results for any other device are undefined.

OPTIONS

-f <FILE>, --fw=<FILE>
    name of the firmware image file

-s <flag>, --select=<flag>
    flag that has following values

OOB
    This updates the OOB and main firmware\n"

EEP
    This updates the eeprom and main firmware\n"

ALL
    This updates the eeprom, OOB, and main firmware";

EXAMPLES

    • Update OOB and main firmware

        # nvme micron selective-download /dev/nvme0 --fw=firmware_bin --select=OOB
        # nvme micron selective-download /dev/nvme0 -f firmware_bin -s OOB

    • Update OOB and main firmware

        # nvme micron selective-download /dev/nvme0 --fw=firmware_bin --select=EEP
        # nvme micron selective-download /dev/nvme0 -f firmware_bin --s EEP

    • Update eeprom, OOB and main firmware

        # nvme micron selective-download /dev/nvme0 --fw=firmware_bin --select=ALL
        # nvme micron selective-download /dev/nvme0 -f firmware_bin --s ALL

NVME

Part of the nvme-user suite